//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace HealthCareSoft.Entity
{
    using System;
    using System.Collections.Generic;
    
    public partial class DoctorsSchedule
    {
        public long Id { get; set; }
        public long DoctorId { get; set; }
        public System.DateTime MondayDate { get; set; }
        public bool IsMondayWorking { get; set; }
        public Nullable<System.TimeSpan> MondayStartShift { get; set; }
        public Nullable<System.TimeSpan> MondayEndShift { get; set; }
        public Nullable<System.DateTime> TuesdayDate { get; set; }
        public Nullable<bool> IsTuesdayWorking { get; set; }
        public Nullable<System.TimeSpan> TuesdayStartShift { get; set; }
        public Nullable<System.TimeSpan> TuesdayEndShift { get; set; }
        public Nullable<System.DateTime> WednesdayDate { get; set; }
        public Nullable<bool> IsWednesdayWorking { get; set; }
        public Nullable<System.TimeSpan> WednesdayStartShift { get; set; }
        public Nullable<System.TimeSpan> WednesdayEndShift { get; set; }
        public Nullable<System.DateTime> ThursdayDate { get; set; }
        public Nullable<bool> IsThursdayWorking { get; set; }
        public Nullable<System.TimeSpan> ThursdayStartShift { get; set; }
        public Nullable<System.TimeSpan> ThrusdayEndShift { get; set; }
        public Nullable<System.DateTime> FridayDate { get; set; }
        public Nullable<bool> IsFridayWorking { get; set; }
        public Nullable<System.TimeSpan> FridayStartShift { get; set; }
        public Nullable<System.TimeSpan> FridayEndShift { get; set; }
        public Nullable<System.DateTime> SaturdayDate { get; set; }
        public Nullable<bool> IsSaturdayWorking { get; set; }
        public Nullable<System.TimeSpan> SaturdayStartShift { get; set; }
        public Nullable<System.TimeSpan> SaturdayEndShift { get; set; }
        public System.DateTime CreatedOn { get; set; }
        public bool IsActive { get; set; }
    
        public virtual UserProfile UserProfile { get; set; }
    }
}
